// Reset
*,::after,::before{box-sizing:border-box}ol[class],ul[class]{padding:0}blockquote,body,dd,dl,figcaption,figure,h1,h2,h3,h4,li,ol[class],p,ul[class]{margin:0}body{min-height:100vh;scroll-behavior:smooth;text-rendering:optimizeSpeed;line-height:1.5}ol[class],ul[class]{list-style:none}a:not([class]){text-decoration-skip-ink:auto}img{max-width:100%;display:block}article>*+*{margin-top:1em}button,input,select,textarea{font:inherit}@media (prefers-reduced-motion:reduce){*{animation-duration:0s!important;animation-iteration-count:1!important;transition-duration:0s!important;scroll-behavior:auto!important}}

$header-height: 40px;
$footer-height: 24px;
header, nav {
  display:  flex;
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  height: $header-height;

  & > * {
    flex:        1;
    border-left: 1px solid #234e56;
    min-width:   160px;
    background:  #aec0c7;
    color:        black;
    padding: 8px 16px;
    text-align: center;
    font-weight: bold;
    text-decoration: none;

    &.active {
      background: #004444;
      color: white;
    }
  }

  + div {
    display: block;
    padding-top: $header-height;
    padding-bottom: $footer-height;
  }
}

.sub-nav {
  position: relative;

  > * {
    background: #0c6a9d;

    &.active {
      background: #084d66;
    }
  }
}

footer {
  position: fixed;
  bottom: 0;
  left: 0;
  right: 0;
  background: #234E56;
  text-align: center;
  opacity: .7;
  transition: opacity 250ms;
  border-radius: 6px 6px 0;

  > * {
    display:         block;
    text-decoration: none;
    color:           white;
  }

  &:hover {
    opacity: 1;
  }
}

pre.code {
  background: #032d45;
  color:      #DBDBDB;
  padding: 8px;
  box-shadow: inset 0 0 3px 3px #005484,
              inset 0 2px 3px 3px #005484,
              inset 0 -2px 3px 3px #005484;
  overflow-x: auto;
}
pre {
  overflow-x: auto;
}
